---
# This playbook is used to install cheetah and supporting test tools for a CPU only configuration.
# It installs all cheetah dependencies as part of the cheetah role
- name: Install Test Machine
  hosts: pss-test-machine-0_3_0_C1_G1_F1
  pre_tasks:
    - name: Include common variable check task
      ansible.builtin.include_role:
        name: common
        tasks_from: check_common_vars.yml
  roles:
    - role: cheetah
    - role: protest
  vars:
    os: ubuntu-22.04
    cuda: true
    nasm: true
    cheetah_version: 0.3.0-cuda-nasm
    gcc_version_required: '12.3.0'
    gcc_version: -12
    kernel_version_22_04: 6.5.0-45-generic 
    cuda_version: 12.2.0
    cuda_rollback_version: 12.2
    cuda_toolkit_version: 535.54.03
    nvidia_driver_version_22_04: 535.183.06 